<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>MobSpawnerBlock (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MobSpawnerBlock (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/blocks/Blocks.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/blocks/SignBlock.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/blocks/MobSpawnerBlock.html" target="_top">Frames</a></li>
<li><a href="MobSpawnerBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.blocks</div>
<h2 title="Class MobSpawnerBlock" class="title">Class MobSpawnerBlock</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">com.sk89q.worldedit.world.block.BaseBlock</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.blocks.MobSpawnerBlock</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/blocks/TileEntityBlock.html" title="interface in com.sk89q.worldedit.blocks">TileEntityBlock</a>, <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&gt;, <a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world">NbtValued</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MobSpawnerBlock</span>
extends <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></pre>
<div class="block">A mob spawner block.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#MobSpawnerBlock-com.sk89q.worldedit.world.block.BlockState-">MobSpawnerBlock</a></span>(<a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Construct the mob spawner block with a specified data value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#MobSpawnerBlock-com.sk89q.worldedit.world.block.BlockState-java.lang.String-">MobSpawnerBlock</a></span>(<a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState,
               java.lang.String&nbsp;mobType)</code>
<div class="block">Construct the mob spawner block.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#getDelay--">getDelay</a></span>()</code>
<div class="block">Get the spawn delay.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#getMobType--">getMobType</a></span>()</code>
<div class="block">Get the mob type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#getNbtData--">getNbtData</a></span>()</code>
<div class="block">Get the object's NBT data (tile entity data).</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#getNbtId--">getNbtId</a></span>()</code>
<div class="block">Return the name of the title entity ID.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#hasNbtData--">hasNbtData</a></span>()</code>
<div class="block">Returns whether the block contains NBT data.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#setDelay-short-">setDelay</a></span>(short&nbsp;delay)</code>
<div class="block">Set the spawn delay.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#setMobType-java.lang.String-">setMobType</a></span>(java.lang.String&nbsp;mobType)</code>
<div class="block">Set the mob type.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/blocks/MobSpawnerBlock.html#setNbtData-com.sk89q.jnbt.CompoundTag-">setNbtData</a></span>(<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;rootTag)</code>
<div class="block">Set the object's NBT data (tile entity data).</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.block.BaseBlock">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.world.block.<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></h3>
<code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#equals-java.lang.Object-">equals</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#equalsFuzzy-com.sk89q.worldedit.world.block.BlockStateHolder-">equalsFuzzy</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#getBlockType--">getBlockType</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#getState-com.sk89q.worldedit.registry.state.Property-">getState</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#getStates--">getStates</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#hashCode--">hashCode</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#toBaseBlock--">toBaseBlock</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#toBaseBlock-com.sk89q.jnbt.CompoundTag-">toBaseBlock</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#toImmutableState--">toImmutableState</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#toString--">toString</a>, <a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#with-com.sk89q.worldedit.registry.state.Property-V-">with</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.block.BlockStateHolder">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.world.block.<a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a></h3>
<code><a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html#getAsString--">getAsString</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MobSpawnerBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MobSpawnerBlock</h4>
<pre>public&nbsp;MobSpawnerBlock(<a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</pre>
<div class="block">Construct the mob spawner block with a specified data value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - The block state</dd>
</dl>
</li>
</ul>
<a name="MobSpawnerBlock-com.sk89q.worldedit.world.block.BlockState-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MobSpawnerBlock</h4>
<pre>public&nbsp;MobSpawnerBlock(<a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState,
                       java.lang.String&nbsp;mobType)</pre>
<div class="block">Construct the mob spawner block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - The block state</dd>
<dd><code>mobType</code> - mob type</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMobType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMobType</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMobType()</pre>
<div class="block">Get the mob type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mob type</dd>
</dl>
</li>
</ul>
<a name="setMobType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMobType</h4>
<pre>public&nbsp;void&nbsp;setMobType(java.lang.String&nbsp;mobType)</pre>
<div class="block">Set the mob type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mobType</code> - the mob type</dd>
</dl>
</li>
</ul>
<a name="getDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDelay</h4>
<pre>public&nbsp;short&nbsp;getDelay()</pre>
<div class="block">Get the spawn delay.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delay</dd>
</dl>
</li>
</ul>
<a name="setDelay-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDelay</h4>
<pre>public&nbsp;void&nbsp;setDelay(short&nbsp;delay)</pre>
<div class="block">Set the spawn delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>delay</code> - the delay to set</dd>
</dl>
</li>
</ul>
<a name="hasNbtData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasNbtData</h4>
<pre>public&nbsp;boolean&nbsp;hasNbtData()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#hasNbtData--">NbtValued</a></code></span></div>
<div class="block">Returns whether the block contains NBT data. <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#getNbtData--"><code>NbtValued.getNbtData()</code></a>
 must not return null if this method returns true.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#hasNbtData--">hasNbtData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world">NbtValued</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#hasNbtData--">hasNbtData</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if there is NBT data</dd>
</dl>
</li>
</ul>
<a name="getNbtId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbtId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNbtId()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/blocks/TileEntityBlock.html#getNbtId--">TileEntityBlock</a></code></span></div>
<div class="block">Return the name of the title entity ID.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/blocks/TileEntityBlock.html#getNbtId--">getNbtId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/blocks/TileEntityBlock.html" title="interface in com.sk89q.worldedit.blocks">TileEntityBlock</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#getNbtId--">getNbtId</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>tile entity ID, non-null string</dd>
</dl>
</li>
</ul>
<a name="getNbtData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbtData</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;getNbtData()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#getNbtData--">NbtValued</a></code></span></div>
<div class="block">Get the object's NBT data (tile entity data). The returned tag, if
 modified in any way, should be sent to <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-"><code>NbtValued.setNbtData(CompoundTag)</code></a>
 so that the instance knows of the changes. Making changes without
 calling <a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-"><code>NbtValued.setNbtData(CompoundTag)</code></a> could have unintended
 consequences.

 <p><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#hasNbtData--"><code>NbtValued.hasNbtData()</code></a> must return true if and only if method does
 not return null.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#getNbtData--">getNbtData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world">NbtValued</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#getNbtData--">getNbtData</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>compound tag, or null</dd>
</dl>
</li>
</ul>
<a name="setNbtData-com.sk89q.jnbt.CompoundTag-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setNbtData</h4>
<pre>public&nbsp;void&nbsp;setNbtData(<a href="../../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;rootTag)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-">NbtValued</a></code></span></div>
<div class="block">Set the object's NBT data (tile entity data).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html#setNbtData-com.sk89q.jnbt.CompoundTag-">setNbtData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world">NbtValued</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html#setNbtData-com.sk89q.jnbt.CompoundTag-">setNbtData</a></code>&nbsp;in class&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rootTag</code> - NBT data, or null if no data</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/blocks/Blocks.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/blocks/SignBlock.html" title="class in com.sk89q.worldedit.blocks"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/blocks/MobSpawnerBlock.html" target="_top">Frames</a></li>
<li><a href="MobSpawnerBlock.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
